Bug 253553 - (CVE-2007-4460) CVE-2007-4460 id3lib doesn't use mkstemp() to create a name of a temporary file
CVE-2007-4460 id3lib doesn't use mkstemp() to create a name of a temporary file
Product: Fedora
Classification: Fedora
Component: id3lib (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: Security
Depends On:
  Show dependency treegraph
Reported: 2007-08-20 11:30 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 3.8.3-17.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-24 01:41:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-08-20 11:30:09 EDT
Description of problem:

233     String filename = tag.GetFileName();
234     String sTmpSuffix = ".XXXXXX";
242     strcpy(sTempFile, filename.c_str());
243     strcat(sTempFile, sTmpSuffix.c_str());
245 #if ((defined(__GNUC__) && __GNUC__ >= 3  ) || !defined(HAVE_MKSTEMP))
246     // This section is for Windows folk && gcc 3.x folk
247     fstream tmpOut;
248     createFile(sTempFile, tmpOut);

When compiled with gcc 3 or higher, file with a predictable name is created.
This can possibly be explited to conduct a symlink attack and either leak
information or overwrite arbitrary file on behalf of user using the library
(though I a have not had a look at createFile(), maybe the only problem is two
programs using the temporary file concurently).

Additional info:

The CVE identifier for this issue had been requested.
See URL for debian bug.
Comment 1 Lubomir Kundrak 2007-08-21 17:11:54 EDT
Mitre assigned CVE-2007-4460 identifier to this issue.
Comment 2 Fedora Update System 2007-08-24 01:40:59 EDT
id3lib-3.8.3-17.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.